6

I need some help with installing these drivers: http://www.tp-link.com/en/download/Archer-T2U.html#Driver

Some info:

$ uname -r
3.13.0-76-generic

$ lsusb
Bus 003 Device 003: ID 148f:761a Ralink Technology, Corp.
  • Notice it says it is for kernel versions 2.6 through 3.16? What is your kernel version? From the terminal: uname -r What is your device? From the terminal: lsusb Please edit your question to add these details. – chili555 Jan 28 '16 at 16:18
  • uname -r: 3.13.0-76-generic lsusb: Bus 003 Device 003: ID 148f:761a Ralink Technology, Corp. – Mihail Jan 29 '16 at 22:22
  • sorry, do not know why no linebraks – Mihail Jan 29 '16 at 22:25
12

Connect to internet by ethernet, tethered or whatever means possible. Then run in terminal:

sudo apt-get install git build-essential linux-headers-generic
git clone https://github.com/Myria-de/mt7610u_wifi_sta_v3002_dpo_20130916.git
cd mt7610u_wifi_sta_v3002_dpo_20130916
make
sudo make install
sudo cp RT2870STA.dat  /etc/Wireless/RT2870STA/RT2870STA.dat

Reboot.

You will have to re-install it after each kernel upgrade. Please you keep the driver folder mt7610u_wifi_sta_v3002_dpo_20130916, then it will be quite easy.

You will need to run only:

cd mt7610u_wifi_sta_v3002_dpo_20130916
make clean
make
sudo make install
| improve this answer | |
  • Worked! Thank you! Do you think this driver will be added to Ubuntu in the future? I also think there is little diod in this module, but it seems not to be working... – Mihail Jan 30 '16 at 11:20
  • Diod is working, sorry)) Excellent! – Mihail Jan 30 '16 at 11:24
  • 3
    doesn't seem to work on ubuntu 16.04 – liang Feb 21 '17 at 16:45
  • @liang Please start your own new question. I am not at all certain it can be made to work in 16.04 and later, but I'm very happy to try. – chili555 Feb 21 '17 at 21:37
  • 3

Not the answer you're looking for? Browse other questions tagged or ask your own question.